Skip to main content
GET
Get revenue recognition slice

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json
id
string
required

Unique recognition-slice identifier.

schedule_id
string
required

Parent recognition-schedule identifier.

kind
enum<string>
required

Recognition-slice kind.

Available options:
planned,
actual
status
enum<string>
required

Recognition-slice status.

Available options:
pending,
recognized,
cancelled,
reversed
period_starts_at
string<date> | null
required

Inclusive service-period start timestamp.

period_ends_at
string<date> | null
required

Inclusive service-period end timestamp.

recognition_planned_at
string<date> | null
required

Timestamp when recognition is planned.

sequence
number
required

Ordering sequence within the schedule.

amount
string
required

Amount in ledger currency.

discount_amount
string
required

Discount amount in ledger currency.

original_currency
enum<string>
required

ISO 4217 original currency.

Available options:
EUR,
AED,
AFN,
XCD,
ALL,
AMD,
AOA,
ARS,
USD,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
XOF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
NOK,
BWP,
BYR,
BZD,
CAD,
CDF,
XAF,
CHF,
NZD,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
ANG,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
MAD,
ERN,
ETB,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HRK,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRO,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
XPF,
NGN,
NIO,
NPR,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
SSP,
STD,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
UYU,
UZS,
VEF,
VND,
VUV,
WST,
YER,
ZAR,
ZMW,
ZWL
Example:

"EUR"

original_currency_exchange_rate
string
required

Exchange rate into ledger currency.

original_currency_exchange_rate_date
string<date> | null
required

Date of the exchange rate.

amount_in_original_currency
string
required

Amount in the original currency.

discount_amount_in_original_currency
string
required

Discount amount in the original currency.

recognized_at
string<date> | null
required

Timestamp when the slice was recognized.

journal_entry_id
string | null
required

Recognition journal-entry identifier.

reversing_journal_entry_id
string | null
required

Reversing journal-entry identifier.

usage_event_id
string | null
required

Related usage-event identifier.

milestone_event_id
string | null
required

Related milestone-event identifier.

last_observed_units
string | null
required

Last observed usage units for this slice.

ledger_id
string
required

Owning ledger identifier.

invoicing_entity_id
string
required

Owning invoicing entity identifier.

amount_excluding_tax
string

Amount excluding tax when schedule tax data is included.

tax_amount
string

Tax amount when schedule tax data is included.

amount_including_tax
string

Amount including tax when schedule tax data is included.